package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppWithdrawalConfig;

/**
 * 钱包提现配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface AppWithdrawalConfigMapper 
{
    /**
     * 查询钱包提现配置
     * 
     * @param id 钱包提现配置主键
     * @return 钱包提现配置
     */
    public AppWithdrawalConfig selectAppWithdrawalConfigById(Long id);

    /**
     * 查询钱包提现配置列表
     * 
     * @param appWithdrawalConfig 钱包提现配置
     * @return 钱包提现配置集合
     */
    public List<AppWithdrawalConfig> selectAppWithdrawalConfigList(AppWithdrawalConfig appWithdrawalConfig);

    /**
     * 新增钱包提现配置
     * 
     * @param appWithdrawalConfig 钱包提现配置
     * @return 结果
     */
    public int insertAppWithdrawalConfig(AppWithdrawalConfig appWithdrawalConfig);

    /**
     * 修改钱包提现配置
     * 
     * @param appWithdrawalConfig 钱包提现配置
     * @return 结果
     */
    public int updateAppWithdrawalConfig(AppWithdrawalConfig appWithdrawalConfig);

    /**
     * 删除钱包提现配置
     * 
     * @param id 钱包提现配置主键
     * @return 结果
     */
    public int deleteAppWithdrawalConfigById(Long id);

    /**
     * 批量删除钱包提现配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppWithdrawalConfigByIds(Long[] ids);

    AppWithdrawalConfig getAppWithdrawalConfig();
}
